ru.bitel.bgbilling.modules.voice.api.server.bean

## Class VoiceSessionAccountLogDao

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<VoiceSessionAccount>
    - - ru.bitel.bgbilling.modules.voice.api.server.bean.VoiceSessionAccountLogDao

- All Implemented Interfaces:
    java.lang.AutoCloseable
  Direct Known Subclasses:
    VoiceSessionAccountDao

      public class VoiceSessionAccountLogDao
      extends ru.bitel.common.dao.AbstractDao<VoiceSessionAccount>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TABLE_VOICE_SESSION_ACCOUNT_LOG`

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `VoiceSessionAccountLogDao(java.sql.Connection con, int moduleId, java.util.Date date)`
    `protected` | `VoiceSessionAccountLogDao(java.sql.Connection con, int moduleId, java.lang.String tableName)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `checkTables(java.sql.Connection con, int moduleId, java.util.Date date)`
    `void` | `deleteAccounts(int divizer, int remainder, java.util.Date hour, int deviceId)`
    `void` | `deleteAccounts(java.util.List<VoiceSession> list)`
    `protected VoiceSessionAccount` | `getFromRS(java.sql.ResultSet rs)`
    `void` | `insertAccount(java.util.List<VoiceSessionAccount> accounts)`
    `java.util.List<VoiceSessionAccount>` | `list(int sessionId)` Получение наработки сессии по ее коду с разбивкой по услугам
    `void` | `updateAccount(java.util.List<VoiceSessionAccount> accounts)`
    `void` | `updateAccountInternal(java.util.List<VoiceSessionAccount> accounts, boolean replace)`
    `protected void` | `updateImpl(VoiceSessionAccount account)`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TABLE_VOICE_SESSION_ACCOUNT_LOG

          public static final java.lang.String TABLE_VOICE_SESSION_ACCOUNT_LOG

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### VoiceSessionAccountLogDao

          public VoiceSessionAccountLogDao(java.sql.Connection con,
                                           int moduleId,
                                           java.util.Date date)

    - #### VoiceSessionAccountLogDao

          protected VoiceSessionAccountLogDao(java.sql.Connection con,
                                              int moduleId,
                                              java.lang.String tableName)

  - ### Method Detail

    - #### list

          public java.util.List<VoiceSessionAccount> list(int sessionId)
                                                   throws ru.bitel.bgbilling.common.BGException

      Получение наработки сессии по ее коду с разбивкой по услугам
      Parameters:
        `sessionId` - код сессии
      Returns:
        список наработок сессии
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getFromRS

          protected VoiceSessionAccount getFromRS(java.sql.ResultSet rs)
                                           throws java.sql.SQLException,
                                                  ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<VoiceSessionAccount>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(VoiceSessionAccount account)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<VoiceSessionAccount>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### checkTables

          public static void checkTables(java.sql.Connection con,
                                         int moduleId,
                                         java.util.Date date)
                                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### insertAccount

          public void insertAccount(java.util.List<VoiceSessionAccount> accounts)
                             throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateAccount

          public void updateAccount(java.util.List<VoiceSessionAccount> accounts)
                             throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateAccountInternal

          public void updateAccountInternal(java.util.List<VoiceSessionAccount> accounts,
                                            boolean replace)
                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteAccounts

          public void deleteAccounts(int divizer,
                                     int remainder,
                                     java.util.Date hour,
                                     int deviceId)
                              throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteAccounts

          public void deleteAccounts(java.util.List<VoiceSession> list)
                              throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`